# MySQLim Class Reference
[Connectors and dialects for various databases]

MySQL DB connector. More...

Inheritance diagram for MySQLim:
[legend]

List of all members.

## Public Member Functions

| setDbEncoding ()
| connect ()
| disconnect ()
| queryCount (Query $query)
| Same as query, but returns number of affected rows in insert/update queries.
| queryRow (Query $query)
| queryColumn (Query $query)
| querySet (Query $query)
| queryRaw ($queryString)
| getTableInfo ($table)
| hasQueue ()

## Static Public Member Functions

static | getDialect ()

## Protected Member Functions

| getInsertId ()

## Private Member Functions

| checkSingle ($result)

## Detailed Description

MySQL DB connector.

See also:
  http://www.mysql.com/
  http://www.php.net/mysqli

Definition at line 20 of file MySQLim.class.php.

## Member Function Documentation

MySQLim::checkSingle | ( | $ | result | ) | `[private]`

Definition at line 170 of file MySQLim.class.php.

Referenced by queryRow().

MySQLim::connect | ( |  | ) |

Returns:
  MySQLim

Reimplemented from DB.

Definition at line 43 of file MySQLim.class.php.

References setDbEncoding().

Here is the call graph for this function:

MySQLim::disconnect | ( |  | ) |

Returns:
  MySQLim

Reimplemented from DB.

Definition at line 76 of file MySQLim.class.php.

References DB::isConnected().

Here is the call graph for this function:

static MySQLim::getDialect | ( |  | ) | `[static]`

Returns:
  MyImprovedDialect

Reimplemented from DB.

Definition at line 25 of file MySQLim.class.php.

References MyDialect::me().

Here is the call graph for this function:

MySQLim::getInsertId | ( |  | ) | `[protected]`

Reimplemented from Sequenceless.

Definition at line 165 of file MySQLim.class.php.

MySQLim::getTableInfo | ( | $ | table | ) |

Reimplemented from DB.

Definition at line 155 of file MySQLim.class.php.

MySQLim::hasQueue | ( |  | ) |

Reimplemented from DB.

Definition at line 160 of file MySQLim.class.php.

MySQLim::queryColumn | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 105 of file MySQLim.class.php.

References Sequenceless::query().

Here is the call graph for this function:

MySQLim::queryCount | ( | Query $ | query | ) |

Same as query, but returns number of affected rows in insert/update queries.

Reimplemented from DB.

Definition at line 88 of file MySQLim.class.php.

References DB::queryNull().

Here is the call graph for this function:

MySQLim::queryRaw | ( | $ | queryString | ) |

Reimplemented from DB.

Definition at line 135 of file MySQLim.class.php.

MySQLim::queryRow | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 95 of file MySQLim.class.php.

References checkSingle(), and Sequenceless::query().

Here is the call graph for this function:

MySQLim::querySet | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 120 of file MySQLim.class.php.

References Sequenceless::query().

Here is the call graph for this function:

MySQLim::setDbEncoding | ( |  | ) |

Returns:
  MySQLim

Reimplemented from DB.

Definition at line 33 of file MySQLim.class.php.

Referenced by connect().

The documentation for this class was generated from the following file:

- core/DB/MySQLim.class.php